ControlSchedule (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.control.server.session.ControlSchedule class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.control.server.session
Class ControlSchedule

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.control.server.session.ControlSchedule

All Implemented Interfaces:
  java.io.Serializable

    public class ControlSchedule

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`ControlSchedule()` default constructor

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getAction()`
`java.lang.Integer` | `getEntityId()`
`java.lang.Integer` | `getEntityType()`
`java.lang.String` | `getJobName()`
`java.lang.String` | `getJobOrderData()`
`long` | `getNextFireTime()`
`ScheduleValue` | `getScheduleValue()`
`byte[]` | `getScheduleValueBytes()`
`java.lang.String` | `getSubject()`
`java.lang.String` | `getTriggerName()`
`protected void` | `setAction(java.lang.String action)`
`protected void` | `setEntityId(java.lang.Integer entityId)`
`protected void` | `setEntityType(java.lang.Integer entityType)`
`protected void` | `setJobName(java.lang.String jobName)`
`protected void` | `setJobOrderData(java.lang.String jobOrderData)`
`protected void` | `setNextFireTime(long nextFireTime)`
`protected void` | `setScheduleValue(ScheduleValue schedule)`
`protected void` | `setScheduleValueBytes(byte[] scheduleValueBytes)`
`protected void` | `setSubject(java.lang.String subject)`
`protected void` | `setTriggerName(java.lang.String triggerName)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlSchedule

    public ControlSchedule()

  default constructor

Method Detail

### getEntityType

    public java.lang.Integer getEntityType()

### setEntityType

    protected void setEntityType(java.lang.Integer entityType)

### getEntityId

    public java.lang.Integer getEntityId()

### setEntityId

    protected void setEntityId(java.lang.Integer entityId)

### getSubject

    public java.lang.String getSubject()

### setSubject

    protected void setSubject(java.lang.String subject)

### getScheduleValueBytes

    public byte[] getScheduleValueBytes()

### setScheduleValueBytes

    protected void setScheduleValueBytes(byte[] scheduleValueBytes)

### getNextFireTime

    public long getNextFireTime()

### setNextFireTime

    protected void setNextFireTime(long nextFireTime)

### getTriggerName

    public java.lang.String getTriggerName()

### setTriggerName

    protected void setTriggerName(java.lang.String triggerName)

### getJobName

    public java.lang.String getJobName()

### setJobName

    protected void setJobName(java.lang.String jobName)

### getJobOrderData

    public java.lang.String getJobOrderData()

### setJobOrderData

    protected void setJobOrderData(java.lang.String jobOrderData)

### getAction

    public java.lang.String getAction()

### setAction

    protected void setAction(java.lang.String action)

### setScheduleValue

    protected void setScheduleValue(ScheduleValue schedule)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getScheduleValue

    public ScheduleValue getScheduleValue()
                                   throws java.io.IOException,
                                          java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.